Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model
Class Line

    java.lang.Object
      org.apache.poi.hslf.model.Shape
          org.apache.poi.hslf.model.SimpleShape
              org.apache.poi.hslf.model.Line

    public final class Line

extends SimpleShape

Represents a line in a PowerPoint drawing

Author:
  Yegor Kozlov

Field Summary
`static int` | `LINE_DOUBLE` Double lines of equal width
`static int` | `LINE_SIMPLE` Single line (of width lineWidth)
`static int` | `LINE_THICKTHIN` Double lines, one thick, one thin
`static int` | `LINE_THINTHICK` Double lines, reverse order
`static int` | `LINE_TRIPLE` Three lines, thin, thick, thin
`static int` | `PEN_DASH` dash style
`static int` | `PEN_DASHDOT` PS_DASHDOT system dash style
`static int` | `PEN_DASHDOTDOT` PS_DASHDOTDOT system dash style
`static int` | `PEN_DASHDOTGEL` dash short dash
`static int` | `PEN_DOT` PS_DOT system dash style
`static int` | `PEN_DOTGEL` square dot style
`static int` | `PEN_LONGDASHDOTDOTGEL` long dash short dash short dash
`static int` | `PEN_LONGDASHDOTGEL` long dash short dash
`static int` | `PEN_LONGDASHGEL` long dash style
`static int` | `PEN_PS_DASH` PS_DASH system dash style
`static int` | `PEN_SOLID` Solid (continuous) pen

Fields inherited from class org.apache.poi.hslf.model.SimpleShape
`DEFAULT_LINE_WIDTH`

Fields inherited from class org.apache.poi.hslf.model.Shape
`EMU_PER_CENTIMETER, EMU_PER_INCH, EMU_PER_POINT, MASTER_DPI, PIXEL_DPI, POINT_DPI`

Constructor Summary
`Line()`
`Line(Shape parent)`

Method Summary
`java.awt.Shape` | `getOutline()` Return shape outline as a java.awt.Shape object

Methods inherited from class org.apache.poi.hslf.model.SimpleShape
`draw, getFillColor, getFlipHorizontal, getFlipVertical, getLineColor, getLineDashing, getLineStyle, getLineWidth, getLogicalAnchor2D, getRotation, setFillColor, setHyperlink, setLineColor, setLineDashing, setLineStyle, setLineWidth, setRotation`

Methods inherited from class org.apache.poi.hslf.model.Shape
`getAnchor, getAnchor2D, getEscherChild, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getHyperlink, getParent, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, moveTo, setAnchor, setEscherProperty, setEscherProperty, setShapeId, setShapeType, setSheet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PEN_SOLID

    public static final int PEN_SOLID

  Solid (continuous) pen

  See Also:
    Constant Field Values

### PEN_PS_DASH

    public static final int PEN_PS_DASH

  PS_DASH system dash style

  See Also:
    Constant Field Values

### PEN_DOT

    public static final int PEN_DOT

  PS_DOT system dash style

  See Also:
    Constant Field Values

### PEN_DASHDOT

    public static final int PEN_DASHDOT

  PS_DASHDOT system dash style

  See Also:
    Constant Field Values

### PEN_DASHDOTDOT

    public static final int PEN_DASHDOTDOT

  PS_DASHDOTDOT system dash style

  See Also:
    Constant Field Values

### PEN_DOTGEL

    public static final int PEN_DOTGEL

  square dot style

  See Also:
    Constant Field Values

### PEN_DASH

    public static final int PEN_DASH

  dash style

  See Also:
    Constant Field Values

### PEN_LONGDASHGEL

    public static final int PEN_LONGDASHGEL

  long dash style

  See Also:
    Constant Field Values

### PEN_DASHDOTGEL

    public static final int PEN_DASHDOTGEL

  dash short dash

  See Also:
    Constant Field Values

### PEN_LONGDASHDOTGEL

    public static final int PEN_LONGDASHDOTGEL

  long dash short dash

  See Also:
    Constant Field Values

### PEN_LONGDASHDOTDOTGEL

    public static final int PEN_LONGDASHDOTDOTGEL

  long dash short dash short dash

  See Also:
    Constant Field Values

### LINE_SIMPLE

    public static final int LINE_SIMPLE

  Single line (of width lineWidth)

  See Also:
    Constant Field Values

### LINE_DOUBLE

    public static final int LINE_DOUBLE

  Double lines of equal width

  See Also:
    Constant Field Values

### LINE_THICKTHIN

    public static final int LINE_THICKTHIN

  Double lines, one thick, one thin

  See Also:
    Constant Field Values

### LINE_THINTHICK

    public static final int LINE_THINTHICK

  Double lines, reverse order

  See Also:
    Constant Field Values

### LINE_TRIPLE

    public static final int LINE_TRIPLE

  Three lines, thin, thick, thin

  See Also:
    Constant Field Values

Constructor Detail

### Line

    public Line(Shape parent)

### Line

    public Line()

Method Detail

### getOutline

    public java.awt.Shape getOutline()

  Description copied from class: `Shape`
  Return shape outline as a java.awt.Shape object

  Overrides:
    `getOutline` in class `Shape`
  Returns:
    the shape outline

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD